- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::MakerNoteFactory Member List

This is the complete list of members for Exiv2::MakerNoteFactory, including all inherited members.

cleanup() | Exiv2::MakerNoteFactory | `[static]`
create(const std::string &make, const std::string &model, bool alloc, const byte *buf, long len, ByteOrder byteOrder, long offset) | Exiv2::MakerNoteFactory | `[static]`
create(IfdId ifdId, bool alloc=true) | Exiv2::MakerNoteFactory | `[static]`
match(const std::string &regEntry, const std::string &key) | Exiv2::MakerNoteFactory | `[static]`
registerMakerNote(const std::string &make, const std::string &model, CreateFct createMakerNote) | Exiv2::MakerNoteFactory | `[static]`
registerMakerNote(IfdId ifdId, MakerNote::AutoPtr makerNote) | Exiv2::MakerNoteFactory | `[static]`